package com.ruoyi.logistics.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 供应商费率配置对象 sys_dept_rate
 * 
 * @author RuiJing
 * @date 2026-03-17
 */
public class SysDeptRate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long rateId;

    /** 供应商 */
    @Excel(name = "供应商")
    private Long deptId;

    /** 物流公司类型 */
    @Excel(name = "物流公司类型  取字典")
    private String companyType;

    /** 快递产品类型 */
    @Excel(name = "快递产品类型   取字典")
    private String productType;

    /** 区间开始 */
    @Excel(name = "区间开始")
    private Long intervalBegins;

    /** 区间结束 */
    @Excel(name = "区间结束")
    private Long intervalEnds;

    /** 折扣 */
    @Excel(name = "折扣")
    private BigDecimal rate;

    @Excel(name = "")
    private Long userId;

    public void setRateId(Long rateId) 
    {
        this.rateId = rateId;
    }

    public Long getRateId() 
    {
        return rateId;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setCompanyType(String companyType) 
    {
        this.companyType = companyType;
    }

    public String getCompanyType() 
    {
        return companyType;
    }

    public void setProductType(String productType) 
    {
        this.productType = productType;
    }

    public String getProductType() 
    {
        return productType;
    }

    public void setIntervalBegins(Long intervalBegins) 
    {
        this.intervalBegins = intervalBegins;
    }

    public Long getIntervalBegins() 
    {
        return intervalBegins;
    }

    public void setIntervalEnds(Long intervalEnds) 
    {
        this.intervalEnds = intervalEnds;
    }

    public Long getIntervalEnds() 
    {
        return intervalEnds;
    }

    public void setRate(BigDecimal rate) 
    {
        this.rate = rate;
    }

    public BigDecimal getRate() 
    {
        return rate;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rateId", getRateId())
            .append("deptId", getDeptId())
            .append("companyType", getCompanyType())
            .append("productType", getProductType())
            .append("intervalBegins", getIntervalBegins())
            .append("intervalEnds", getIntervalEnds())
            .append("rate", getRate())
            .append("userId", getUserId())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
